Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.util.concurrent
Class RejectedExecutionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  java.util.concurrent.RejectedExecutionException

All Implemented Interfaces:
  Serializable

    public class RejectedExecutionException

extends RuntimeException

Exception thrown by an `Executor` when a task cannot be accepted for execution.

Since:
  1.5
See Also:
  Serialized Form

Constructor Summary
`RejectedExecutionException()` Constructs a `RejectedExecutionException` with no detail message.
`RejectedExecutionException(String message)` Constructs a `RejectedExecutionException` with the specified detail message.
`RejectedExecutionException(String message, Throwable cause)` Constructs a `RejectedExecutionException` with the specified detail message and cause.
`RejectedExecutionException(Throwable cause)` Constructs a `RejectedExecutionException` with the specified cause.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RejectedExecutionException

    public RejectedExecutionException()

  Constructs a `RejectedExecutionException` with no detail message. The cause is not initialized, and may subsequently be initialized by a call to `initCause`.

### RejectedExecutionException

    public RejectedExecutionException(String message)

  Constructs a `RejectedExecutionException` with the specified detail message. The cause is not initialized, and may subsequently be initialized by a call to `initCause`.

  Parameters:
    `message` - the detail message

### RejectedExecutionException

    public RejectedExecutionException(String message,
                                      Throwable cause)

  Constructs a `RejectedExecutionException` with the specified detail message and cause.

  Parameters:
    `message` - the detail message
    `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method)

### RejectedExecutionException

    public RejectedExecutionException(Throwable cause)

  Constructs a `RejectedExecutionException` with the specified cause. The detail message is set to:

       (cause ==
       null ? null : cause.toString())

  (which typically contains the class and detail message of `cause`).

  Parameters:
    `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.